Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		lpsolve
Summary:	A Mixed Integer Linear Programming (MILP) solver
Version:	5.5.0.12
Release:	1
License:	LGPLv2+
Source:		http://downloads.sourceforge.net/lpsolve/lp_solve_%{version}_source.tar.gz
Patch0:		lpsolve-5.5.0.11.cflags.patch
Group:		System Environment/Libraries
URL:		http://sourceforge.net/projects/lpsolve
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
Mixed Integer Linear Programming (MILP) solver lpsolve solves pure linear,
(mixed) integer/binary, semi-continuous and special ordered sets (SOS) models.

%package	devel
Requires:	lpsolve = %{version}-%{release}
Summary:	Files for developing with lpsolve
Group:		Development/Libraries

%description	devel
Includes and definitions for developing with lpsolve 

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -q -n lp_solve_5.5
%patch0 -p1 -b .cflags.patch

%build
cd lpsolve55
sh -x ccc
rm liblpsolve55.a
cd ../lp_solve
sh -x ccc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_libdir} $RPM_BUILD_ROOT%{_includedir}/lpsolve
install -m 755 \
        lp_solve/lp_solve $RPM_BUILD_ROOT%{_bindir}
install -m 755 \
        lpsolve55/liblpsolve55.so $RPM_BUILD_ROOT%{_libdir}
install -m 644 \
        lp*.h $RPM_BUILD_ROOT%{_includedir}/lpsolve

%files
%defattr(-,root,root,-)
%doc README.txt ./bfp/bfp_LUSOL/LUSOL/LUSOL_LGPL.txt ./bfp/bfp_LUSOL/LUSOL/LUSOL_README.txt ./bfp/bfp_LUSOL/LUSOL/LUSOL-overview.txt
%_bindir
%_libdir

%files devel
%defattr(-,root,root,-)
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jun 21 2008 Christian Wasem <wasem@ccux-linux.de> 5.5.0.12-1
- Initial release
